package com.tiesheng.core.pojos.dao;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tiesheng.core.pojos.DaoBase;

/**
 * 日志-登录
 */
@TableName(value = "core_log_login")
public class CoreLogLogin extends DaoBase {
    /**
     * 用户id
     */
    @TableField(value = "user_id")
    private String userId;

    /**
     * 用户id
     */
    @TableField(value = "user_name")
    private String userName;

    /**
     * ip
     */
    @TableField(value = "platform")
    private String platform;

    /**
     * ip
     */
    @TableField(value = "ip")
    private String ip;

    /**
     * ip地址
     */
    @TableField(value = "address")
    private String address;

    /**
     * 获取用户id
     *
     * @return user_id - 用户id
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置用户id
     *
     * @param userId 用户id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    /**
     * 获取ip
     *
     * @return ip - ip
     */
    public String getIp() {
        return ip;
    }

    /**
     * 设置ip
     *
     * @param ip ip
     */
    public void setIp(String ip) {
        this.ip = ip;
    }

    /**
     * 获取ip地址
     *
     * @return address - ip地址
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置ip地址
     *
     * @param address ip地址
     */
    public void setAddress(String address) {
        this.address = address;
    }
}
